Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl
Class SAMLTokenImpl

    java.lang.Object
      be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
          be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
              be.ehealth.technicalconnector.service.sts.security.impl.SAMLHolderOfKeyToken
                  be.ehealth.technicalconnector.service.sts.security.impl.SAMLTokenImpl

All Implemented Interfaces:
  Credential, ExtendedCredential, SAMLToken

Deprecated. replaced by `SAMLHolderOfKeyToken`

    @Deprecated
    public class SAMLTokenImpl

extends SAMLHolderOfKeyToken

The Class SAMLTokenImpl. Extends : `SAMLHolderOfKeyToken`

Constructor Summary
`SAMLTokenImpl(Element assertion, Credential credential)` Deprecated.

Method Summary

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractSAMLToken
`checkValidity, getAssertion, getAssertionID, getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

Methods inherited from class be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential
`getCertPath, getExpirationDateTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.ExtendedCredential
`getCertPath, getExpirationDateTime`

Constructor Detail

### SAMLTokenImpl

    public SAMLTokenImpl(Element assertion,
                         Credential credential)

  Deprecated.
  Parameters:
    `assertion` -
    `credential` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.